// Common description constant
const commonDescription =
  "UK Manufactured cartridges to the highest standards which are high speed balanced. These cartridges are the perfect replacements for old and worn cartridges, without having to spend money on brand new turbos or taking chances on used turbos. If the turbocharger is internally damaged, or if the turbocharger seals are leaking oil this will resolve the issue.\n\n Please diagnose for boost leaks, failed wastegates and source of turbo failure to ensure a successful repair.";

// Example data object for model details
const modelDetails = {
  ford1: {
    name: "F150 3.5 Ecoboost 2010-2012 4WD",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    leftPrice: "$650 USD",
    rightPrice: "$650 USD",
    originalPrice: "$850 USD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford2: {
    name: "F150 3.5 Ecoboost 2013-2016 4WD",
    partnumber1: "OEM Part Number :Left DL3Z-6K682-E",
    partnumber2: "OEM Part Number :Right DL3Z-6K682-F",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford3: {
    name: "F150 3.5 Ecoboost 2018-2020 4WD",
    partnumber1: "OEM Part Number :Left JT4Z-6K682-A",
    partnumber2: "OEM Part Number :Right JT4Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford4: {
    name: "F150 3.5 Ecoboost 2021-2023 4WD",
    partnumber1: "OEM Part Number :Left FL3Z-6K682-D",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "Products Coming Soon",
    price: "",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford5: {
    name: "F150 2.7 Ecoboost 2013-2017 4WD",
    partnumber1: "OEM Part Number :Left FL3Z-6K682-D",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford6: {
    name: "Ford F150 2.7 Ecoboost 2018-2020 4WD",
    partnumber1: "OEM Part Number :Left FL3Z-6K682-D",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford7: {
    name: "Transit 3.5 Ecoboost 2015-2023 150/250/350",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "TRANSIT",
    rating: 5,
  },
  ford8: {
    name: "Transit Connect 1.6 Turbo 2014-2018",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "TRANSIT",
    rating: 5,
  },
  ford9: {
    name: "Expedition 3.5 Ecoboost 2015-2017 4WD",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "EXPEDITION",
    rating: 5,
  },
  ford10: {
    name: "Expedition 3.5 Ecoboost 2018-2021 4WD",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "EXPEDITION",
    rating: 5,
  },
  ford11: {
    name: "Mustang 2.3 Ecoboost",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "MUSTANG",
    rating: 5,
  },
  ford12: {
    name: "Focus ST 2013-2018",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "FOCUS",
    rating: 5,
  },
  ford13: {
    name: "Fusion 2013-2018 1.5/2.0/2.5 Ecoboost",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "FUSION",
    rating: 5,
  },
  ford14: {
    name: "Taurus 2013-2018 2.0 Ecoboost",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "TAURUS",
    rating: 5,
  },
  ford15: {
    name: "Escape 2013-2016 2.0 Ecoboost",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "ESCAPE",
    rating: 5,
  },
  ford16: {
    name: "Escape 2017-2020 2.0 Ecoboost",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "ESCAPE",
    rating: 5,
  },
  ford17: {
    name: "Escape 2013-2016 1.6 Ecoboost",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "ESCAPE",
    rating: 5,
  },
  ford18: {
    name: "Edge 2015-2020 2.0 Ecoboost",
    partnumber1: "OEM Part Number :Left BL3Z-6K682-C",
    partnumber2: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "EDGE",
    rating: 5,
  },
  ford19: {
    name: "Fiesta 2014-2019 1.6 Ecoboost",
    partnumber1: "OEM Part Number :CJ5Z-6K682-L",
    subtitle: "",
    price: "$650.00",
    originalPrice: "$850.00",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "FIESTA",
    rating: 5,
  },
};

// Function to extract model ID from URL
function getModelFromUrl() {
  const urlParams = new URLSearchParams(window.location.search);
  return urlParams.get("model");
}

// Function to populate the page with model details
function loadModelDetails(modelId) {
  const model = modelDetails[modelId];
  if (model) {
    document.getElementById("item-title").innerText = model.name;
    document.getElementById("item-subtitle").innerText = model.subtitle;
    document.getElementById("sale-left-price").innerText = `Price: ${model.leftPrice}`;
    document.getElementById("sale-right-price").innerText = `Price: ${model.rightPrice}`;
    document.getElementById("remove-price").innerText = model.originalPrice;
    document.getElementById("description").innerText = model.description;
    document.getElementById("main-category").innerText = model.mainCategory;
    document.getElementById("sub-category").innerText = model.subCategory;
    document.getElementById("partno1").innerText = model.partnumber1;
    document.getElementById("partno2").innerText = model.partnumber2;

    // Generate stars for rating
    const starsContainer = document.getElementById("rating-stars");
    starsContainer.innerHTML = ""; // Clear any existing stars
    for (let i = 0; i < model.rating; i++) {
      const star = document.createElement("li");
      star.innerHTML = '<i class="fa-solid fa-star"></i>';
      starsContainer.appendChild(star);
    }
  } else {
    document.getElementById("item-title").innerText = "Model Not Found";
    document.getElementById("description").innerText =
      "The selected model does not exist.";
  }
}

// Run on page load
const modelId = getModelFromUrl();
loadModelDetails(modelId);
